/*
** show_gpl.c
*/

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

static void sigcatch(int sig_no)
{
    sig_no = 0; /* just to keep compiler happy - we KNOW it's SIGPIPE... */
    exit(EXIT_FAILURE);
}

void show_gpl(void)
{
    char *pager;
    FILE *fp;

    if( ((pager = getenv("PAGER")) == NULL) ||
        (fp=popen(pager,"w")) == NULL)
    {
        fp = stdout;
    }

    signal(SIGPIPE, sigcatch);

    fprintf(fp,"\n");
    fprintf(fp,"Uptime v1.1d - Show node uptime, system load, # of users.\n");
    fprintf(fp,"Copyright (C) 1994 Trever Miller\n");
    fprintf(fp,"\n");
    fprintf(fp,"This program is free software; you can redistribute it and/or modify\n");
    fprintf(fp,"it under the terms of the GNU General Public License as published by\n");
    fprintf(fp,"the Free Software Foundation; either version 2 of the License, or\n");
    fprintf(fp,"(at your option) any later version.\n");
    fprintf(fp,"\n");
    fprintf(fp,"This program is distributed in the hope that it will be useful,\n");
    fprintf(fp,"but WITHOUT ANY WARRANTY; without even the implied warranty of\n");
    fprintf(fp,"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n");
    fprintf(fp,"GNU General Public License for more details.\n");
    fprintf(fp,"\n");

#if defined(GPL_INCLUDED)

    fprintf(fp,"\n\n\n");
    fprintf(fp,"------------------------------------------------------------------\n\n");
    fprintf(fp,"                    GNU GENERAL PUBLIC LICENSE\n");
    fprintf(fp,"                       Version 2, June 1991\n");
    fprintf(fp,"\n");
    fprintf(fp," Copyright (C) 1989, 1991 Free Software Foundation, Inc.\n");
    fprintf(fp,"                          675 Mass Ave, Cambridge, MA 02139, USA\n");
    fprintf(fp," Everyone is permitted to copy and distribute verbatim copies\n");
    fprintf(fp," of this license document, but changing it is not allowed.\n");
    fprintf(fp,"\n");
    fprintf(fp,"                            Preamble\n");
    fprintf(fp,"\n");
    fprintf(fp,"  The licenses for most software are designed to take away your\n");
    fprintf(fp,"freedom to share and change it.  By contrast, the GNU General Public\n");
    fprintf(fp,"License is intended to guarantee your freedom to share and change free\n");
    fprintf(fp,"software--to make sure the software is free for all its users.  This\n");
    fprintf(fp,"General Public License applies to most of the Free Software\n");
    fprintf(fp,"Foundation's software and to any other program whose authors commit to\n");
    fprintf(fp,"using it.  (Some other Free Software Foundation software is covered by\n");
    fprintf(fp,"the GNU Library General Public License instead.)  You can apply it to\n");
    fprintf(fp,"your programs, too.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  When we speak of free software, we are referring to freedom, not\n");
    fprintf(fp,"price.  Our General Public Licenses are designed to make sure that you\n");
    fprintf(fp,"have the freedom to distribute copies of free software (and charge for\n");
    fprintf(fp,"this service if you wish), that you receive source code or can get it\n");
    fprintf(fp,"if you want it, that you can change the software or use pieces of it\n");
    fprintf(fp,"in new free programs; and that you know you can do these things.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  To protect your rights, we need to make restrictions that forbid\n");
    fprintf(fp,"anyone to deny you these rights or to ask you to surrender the rights.\n");
    fprintf(fp,"These restrictions translate to certain responsibilities for you if you\n");
    fprintf(fp,"distribute copies of the software, or if you modify it.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  For example, if you distribute copies of such a program, whether\n");
    fprintf(fp,"gratis or for a fee, you must give the recipients all the rights that\n");
    fprintf(fp,"you have.  You must make sure that they, too, receive or can get the\n");
    fprintf(fp,"source code.  And you must show them these terms so they know their\n");
    fprintf(fp,"rights.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  We protect your rights with two steps: (1) copyright the software, and\n");
    fprintf(fp,"(2) offer you this license which gives you legal permission to copy,\n");
    fprintf(fp,"distribute and/or modify the software.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  Also, for each author's protection and ours, we want to make certain\n");
    fprintf(fp,"that everyone understands that there is no warranty for this free\n");
    fprintf(fp,"software.  If the software is modified by someone else and passed on, we\n");
    fprintf(fp,"want its recipients to know that what they have is not the original, so\n");
    fprintf(fp,"that any problems introduced by others will not reflect on the original\n");
    fprintf(fp,"authors' reputations.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  Finally, any free program is threatened constantly by software\n");
    fprintf(fp,"patents.  We wish to avoid the danger that redistributors of a free\n");
    fprintf(fp,"program will individually obtain patent licenses, in effect making the\n");
    fprintf(fp,"program proprietary.  To prevent this, we have made it clear that any\n");
    fprintf(fp,"patent must be licensed for everyone's free use or not licensed at all.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  The precise terms and conditions for copying, distribution and\n");
    fprintf(fp,"modification follow.\n");
    fprintf(fp,"\n");
    fprintf(fp,"                    GNU GENERAL PUBLIC LICENSE\n");
    fprintf(fp,"   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n");
    fprintf(fp,"\n");
    fprintf(fp,"  0. This License applies to any program or other work which contains\n");
    fprintf(fp,"a notice placed by the copyright holder saying it may be distributed\n");
    fprintf(fp,"under the terms of this General Public License.  The \"Program\", below,\n");
    fprintf(fp,"refers to any such program or work, and a \"work based on the Program\"\n");
    fprintf(fp,"means either the Program or any derivative work under copyright law:\n");
    fprintf(fp,"that is to say, a work containing the Program or a portion of it,\n");
    fprintf(fp,"either verbatim or with modifications and/or translated into another\n");
    fprintf(fp,"language.  (Hereinafter, translation is included without limitation in\n");
    fprintf(fp,"the term \"modification\".)  Each licensee is addressed as \"you\".\n");
    fprintf(fp,"\n");
    fprintf(fp,"Activities other than copying, distribution and modification are not\n");
    fprintf(fp,"covered by this License; they are outside its scope.  The act of\n");
    fprintf(fp,"running the Program is not restricted, and the output from the Program\n");
    fprintf(fp,"is covered only if its contents constitute a work based on the\n");
    fprintf(fp,"Program (independent of having been made by running the Program).\n");
    fprintf(fp,"Whether that is true depends on what the Program does.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  1. You may copy and distribute verbatim copies of the Program's\n");
    fprintf(fp,"source code as you receive it, in any medium, provided that you\n");
    fprintf(fp,"conspicuously and appropriately publish on each copy an appropriate\n");
    fprintf(fp,"copyright notice and disclaimer of warranty; keep intact all the\n");
    fprintf(fp,"notices that refer to this License and to the absence of any warranty;\n");
    fprintf(fp,"and give any other recipients of the Program a copy of this License\n");
    fprintf(fp,"along with the Program.\n");
    fprintf(fp,"\n");
    fprintf(fp,"You may charge a fee for the physical act of transferring a copy, and\n");
    fprintf(fp,"you may at your option offer warranty protection in exchange for a fee.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  2. You may modify your copy or copies of the Program or any portion\n");
    fprintf(fp,"of it, thus forming a work based on the Program, and copy and\n");
    fprintf(fp,"distribute such modifications or work under the terms of Section 1\n");
    fprintf(fp,"above, provided that you also meet all of these conditions:\n");
    fprintf(fp,"\n");
    fprintf(fp,"    a) You must cause the modified files to carry prominent notices\n");
    fprintf(fp,"    stating that you changed the files and the date of any change.\n");
    fprintf(fp,"\n");
    fprintf(fp,"    b) You must cause any work that you distribute or publish, that in\n");
    fprintf(fp,"    whole or in part contains or is derived from the Program or any\n");
    fprintf(fp,"    part thereof, to be licensed as a whole at no charge to all third\n");
    fprintf(fp,"    parties under the terms of this License.\n");
    fprintf(fp,"\n");
    fprintf(fp,"    c) If the modified program normally reads commands interactively\n");
    fprintf(fp,"    when run, you must cause it, when started running for such\n");
    fprintf(fp,"    interactive use in the most ordinary way, to print or display an\n");
    fprintf(fp,"    announcement including an appropriate copyright notice and a\n");
    fprintf(fp,"    notice that there is no warranty (or else, saying that you provide\n");
    fprintf(fp,"    a warranty) and that users may redistribute the program under\n");
    fprintf(fp,"    these conditions, and telling the user how to view a copy of this\n");
    fprintf(fp,"    License.  (Exception: if the Program itself is interactive but\n");
    fprintf(fp,"    does not normally print such an announcement, your work based on\n");
    fprintf(fp,"    the Program is not required to print an announcement.)\n");
    fprintf(fp,"\n");
    fprintf(fp,"These requirements apply to the modified work as a whole.  If\n");
    fprintf(fp,"identifiable sections of that work are not derived from the Program,\n");
    fprintf(fp,"and can be reasonably considered independent and separate works in\n");
    fprintf(fp,"themselves, then this License, and its terms, do not apply to those\n");
    fprintf(fp,"sections when you distribute them as separate works.  But when you\n");
    fprintf(fp,"distribute the same sections as part of a whole which is a work based\n");
    fprintf(fp,"on the Program, the distribution of the whole must be on the terms of\n");
    fprintf(fp,"this License, whose permissions for other licensees extend to the\n");
    fprintf(fp,"entire whole, and thus to each and every part regardless of who wrote it.\n");
    fprintf(fp,"\n");
    fprintf(fp,"Thus, it is not the intent of this section to claim rights or contest\n");
    fprintf(fp,"your rights to work written entirely by you; rather, the intent is to\n");
    fprintf(fp,"exercise the right to control the distribution of derivative or\n");
    fprintf(fp,"collective works based on the Program.\n");
    fprintf(fp,"\n");
    fprintf(fp,"In addition, mere aggregation of another work not based on the Program\n");
    fprintf(fp,"with the Program (or with a work based on the Program) on a volume of\n");
    fprintf(fp,"a storage or distribution medium does not bring the other work under\n");
    fprintf(fp,"the scope of this License.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  3. You may copy and distribute the Program (or a work based on it,\n");
    fprintf(fp,"under Section 2) in object code or executable form under the terms of\n");
    fprintf(fp,"Sections 1 and 2 above provided that you also do one of the following:\n");
    fprintf(fp,"\n");
    fprintf(fp,"    a) Accompany it with the complete corresponding machine-readable\n");
    fprintf(fp,"    source code, which must be distributed under the terms of Sections\n");
    fprintf(fp,"    1 and 2 above on a medium customarily used for software interchange; or,\n");
    fprintf(fp,"\n");
    fprintf(fp,"    b) Accompany it with a written offer, valid for at least three\n");
    fprintf(fp,"    years, to give any third party, for a charge no more than your\n");
    fprintf(fp,"    cost of physically performing source distribution, a complete\n");
    fprintf(fp,"    machine-readable copy of the corresponding source code, to be\n");
    fprintf(fp,"    distributed under the terms of Sections 1 and 2 above on a medium\n");
    fprintf(fp,"    customarily used for software interchange; or,\n");
    fprintf(fp,"\n");
    fprintf(fp,"    c) Accompany it with the information you received as to the offer\n");
    fprintf(fp,"    to distribute corresponding source code.  (This alternative is\n");
    fprintf(fp,"    allowed only for noncommercial distribution and only if you\n");
    fprintf(fp,"    received the program in object code or executable form with such\n");
    fprintf(fp,"    an offer, in accord with Subsection b above.)\n");
    fprintf(fp,"\n");
    fprintf(fp,"The source code for a work means the preferred form of the work for\n");
    fprintf(fp,"making modifications to it.  For an executable work, complete source\n");
    fprintf(fp,"code means all the source code for all modules it contains, plus any\n");
    fprintf(fp,"associated interface definition files, plus the scripts used to\n");
    fprintf(fp,"control compilation and installation of the executable.  However, as a\n");
    fprintf(fp,"special exception, the source code distributed need not include\n");
    fprintf(fp,"anything that is normally distributed (in either source or binary\n");
    fprintf(fp,"form) with the major components (compiler, kernel, and so on) of the\n");
    fprintf(fp,"operating system on which the executable runs, unless that component\n");
    fprintf(fp,"itself accompanies the executable.\n");
    fprintf(fp,"\n");
    fprintf(fp,"If distribution of executable or object code is made by offering\n");
    fprintf(fp,"access to copy from a designated place, then offering equivalent\n");
    fprintf(fp,"access to copy the source code from the same place counts as\n");
    fprintf(fp,"distribution of the source code, even though third parties are not\n");
    fprintf(fp,"compelled to copy the source along with the object code.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  4. You may not copy, modify, sublicense, or distribute the Program\n");
    fprintf(fp,"except as expressly provided under this License.  Any attempt\n");
    fprintf(fp,"otherwise to copy, modify, sublicense or distribute the Program is\n");
    fprintf(fp,"void, and will automatically terminate your rights under this License.\n");
    fprintf(fp,"However, parties who have received copies, or rights, from you under\n");
    fprintf(fp,"this License will not have their licenses terminated so long as such\n");
    fprintf(fp,"parties remain in full compliance.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  5. You are not required to accept this License, since you have not\n");
    fprintf(fp,"signed it.  However, nothing else grants you permission to modify or\n");
    fprintf(fp,"distribute the Program or its derivative works.  These actions are\n");
    fprintf(fp,"prohibited by law if you do not accept this License.  Therefore, by\n");
    fprintf(fp,"modifying or distributing the Program (or any work based on the\n");
    fprintf(fp,"Program), you indicate your acceptance of this License to do so, and\n");
    fprintf(fp,"all its terms and conditions for copying, distributing or modifying\n");
    fprintf(fp,"the Program or works based on it.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  6. Each time you redistribute the Program (or any work based on the\n");
    fprintf(fp,"Program), the recipient automatically receives a license from the\n");
    fprintf(fp,"original licensor to copy, distribute or modify the Program subject to\n");
    fprintf(fp,"these terms and conditions.  You may not impose any further\n");
    fprintf(fp,"restrictions on the recipients' exercise of the rights granted herein.\n");
    fprintf(fp,"You are not responsible for enforcing compliance by third parties to\n");
    fprintf(fp,"this License.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  7. If, as a consequence of a court judgment or allegation of patent\n");
    fprintf(fp,"infringement or for any other reason (not limited to patent issues),\n");
    fprintf(fp,"conditions are imposed on you (whether by court order, agreement or\n");
    fprintf(fp,"otherwise) that contradict the conditions of this License, they do not\n");
    fprintf(fp,"excuse you from the conditions of this License.  If you cannot\n");
    fprintf(fp,"distribute so as to satisfy simultaneously your obligations under this\n");
    fprintf(fp,"License and any other pertinent obligations, then as a consequence you\n");
    fprintf(fp,"may not distribute the Program at all.  For example, if a patent\n");
    fprintf(fp,"license would not permit royalty-free redistribution of the Program by\n");
    fprintf(fp,"all those who receive copies directly or indirectly through you, then\n");
    fprintf(fp,"the only way you could satisfy both it and this License would be to\n");
    fprintf(fp,"refrain entirely from distribution of the Program.\n");
    fprintf(fp,"\n");
    fprintf(fp,"If any portion of this section is held invalid or unenforceable under\n");
    fprintf(fp,"any particular circumstance, the balance of the section is intended to\n");
    fprintf(fp,"apply and the section as a whole is intended to apply in other\n");
    fprintf(fp,"circumstances.\n");
    fprintf(fp,"\n");
    fprintf(fp,"It is not the purpose of this section to induce you to infringe any\n");
    fprintf(fp,"patents or other property right claims or to contest validity of any\n");
    fprintf(fp,"such claims; this section has the sole purpose of protecting the\n");
    fprintf(fp,"integrity of the free software distribution system, which is\n");
    fprintf(fp,"implemented by public license practices.  Many people have made\n");
    fprintf(fp,"generous contributions to the wide range of software distributed\n");
    fprintf(fp,"through that system in reliance on consistent application of that\n");
    fprintf(fp,"system; it is up to the author/donor to decide if he or she is willing\n");
    fprintf(fp,"to distribute software through any other system and a licensee cannot\n");
    fprintf(fp,"impose that choice.\n");
    fprintf(fp,"\n");
    fprintf(fp,"This section is intended to make thoroughly clear what is believed to\n");
    fprintf(fp,"be a consequence of the rest of this License.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  8. If the distribution and/or use of the Program is restricted in\n");
    fprintf(fp,"certain countries either by patents or by copyrighted interfaces, the\n");
    fprintf(fp,"original copyright holder who places the Program under this License\n");
    fprintf(fp,"may add an explicit geographical distribution limitation excluding\n");
    fprintf(fp,"those countries, so that distribution is permitted only in or among\n");
    fprintf(fp,"countries not thus excluded.  In such case, this License incorporates\n");
    fprintf(fp,"the limitation as if written in the body of this License.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  9. The Free Software Foundation may publish revised and/or new versions\n");
    fprintf(fp,"of the General Public License from time to time.  Such new versions will\n");
    fprintf(fp,"be similar in spirit to the present version, but may differ in detail to\n");
    fprintf(fp,"address new problems or concerns.\n");
    fprintf(fp,"\n");
    fprintf(fp,"Each version is given a distinguishing version number.  If the Program\n");
    fprintf(fp,"specifies a version number of this License which applies to it and \"any\n");
    fprintf(fp,"later version\", you have the option of following the terms and conditions\n");
    fprintf(fp,"either of that version or of any later version published by the Free\n");
    fprintf(fp,"Software Foundation.  If the Program does not specify a version number of\n");
    fprintf(fp,"this License, you may choose any version ever published by the Free Software\n");
    fprintf(fp,"Foundation.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  10. If you wish to incorporate parts of the Program into other free\n");
    fprintf(fp,"programs whose distribution conditions are different, write to the author\n");
    fprintf(fp,"to ask for permission.  For software which is copyrighted by the Free\n");
    fprintf(fp,"Software Foundation, write to the Free Software Foundation; we sometimes\n");
    fprintf(fp,"make exceptions for this.  Our decision will be guided by the two goals\n");
    fprintf(fp,"of preserving the free status of all derivatives of our free software and\n");
    fprintf(fp,"of promoting the sharing and reuse of software generally.\n");
    fprintf(fp,"\n");
    fprintf(fp,"                            NO WARRANTY\n");
    fprintf(fp,"\n");
    fprintf(fp,"  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n");
    fprintf(fp,"FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN\n");
    fprintf(fp,"OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES\n");
    fprintf(fp,"PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED\n");
    fprintf(fp,"OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n");
    fprintf(fp,"MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS\n");
    fprintf(fp,"TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE\n");
    fprintf(fp,"PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,\n");
    fprintf(fp,"REPAIR OR CORRECTION.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n");
    fprintf(fp,"WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n");
    fprintf(fp,"REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n");
    fprintf(fp,"INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\n");
    fprintf(fp,"OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED\n");
    fprintf(fp,"TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY\n");
    fprintf(fp,"YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER\n");
    fprintf(fp,"PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\n");
    fprintf(fp,"POSSIBILITY OF SUCH DAMAGES.\n");
    fprintf(fp,"\n");
    fprintf(fp,"                     END OF TERMS AND CONDITIONS\n");
    fprintf(fp,"\n");
    fprintf(fp,"        Appendix: How to Apply These Terms to Your New Programs\n");
    fprintf(fp,"\n");
    fprintf(fp,"  If you develop a new program, and you want it to be of the greatest\n");
    fprintf(fp,"possible use to the public, the best way to achieve this is to make it\n");
    fprintf(fp,"free software which everyone can redistribute and change under these terms.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  To do so, attach the following notices to the program.  It is safest\n");
    fprintf(fp,"to attach them to the start of each source file to most effectively\n");
    fprintf(fp,"convey the exclusion of warranty; and each file should have at least\n");
    fprintf(fp,"the \"copyright\" line and a pointer to where the full notice is found.\n");
    fprintf(fp,"\n");
    fprintf(fp,"    <one line to give the program's name and a brief idea of what it does.>\n");
    fprintf(fp,"    Copyright (C) 19yy  <name of author>\n");
    fprintf(fp,"\n");
    fprintf(fp,"    This program is free software; you can redistribute it and/or modify\n");
    fprintf(fp,"    it under the terms of the GNU General Public License as published by\n");
    fprintf(fp,"    the Free Software Foundation; either version 2 of the License, or\n");
    fprintf(fp,"    (at your option) any later version.\n");
    fprintf(fp,"\n");
    fprintf(fp,"    This program is distributed in the hope that it will be useful,\n");
    fprintf(fp,"    but WITHOUT ANY WARRANTY; without even the implied warranty of\n");
    fprintf(fp,"    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n");
    fprintf(fp,"    GNU General Public License for more details.\n");
    fprintf(fp,"\n");
    fprintf(fp,"    You should have received a copy of the GNU General Public License\n");
    fprintf(fp,"    along with this program; if not, write to the Free Software\n");
    fprintf(fp,"    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n");
    fprintf(fp,"\n");
    fprintf(fp,"Also add information on how to contact you by electronic and paper mail.\n");
    fprintf(fp,"\n");
    fprintf(fp,"If the program is interactive, make it output a short notice like this\n");
    fprintf(fp,"when it starts in an interactive mode:\n");
    fprintf(fp,"\n");
    fprintf(fp,"    Gnomovision version 69, Copyright (C) 19yy name of author\n");
    fprintf(fp,"    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n");
    fprintf(fp,"    This is free software, and you are welcome to redistribute it\n");
    fprintf(fp,"    under certain conditions; type `show c' for details.\n");
    fprintf(fp,"\n");
    fprintf(fp,"The hypothetical commands `show w' and `show c' should show the appropriate\n");
    fprintf(fp,"parts of the General Public License.  Of course, the commands you use may\n");
    fprintf(fp,"be called something other than `show w' and `show c'; they could even be\n");
    fprintf(fp,"mouse-clicks or menu items--whatever suits your program.\n");
    fprintf(fp,"\n");
    fprintf(fp,"You should also get your employer (if you work as a programmer) or your\n");
    fprintf(fp,"school, if any, to sign a \"copyright disclaimer\" for the program, if\n");
    fprintf(fp,"necessary.  Here is a sample; alter the names:\n");
    fprintf(fp,"\n");
    fprintf(fp,"  Yoyodyne, Inc., hereby disclaims all copyright interest in the program\n");
    fprintf(fp,"  `Gnomovision' (which makes passes at compilers) written by James Hacker.\n");
    fprintf(fp,"\n");
    fprintf(fp,"  <signature of Ty Coon>, 1 April 1989\n");
    fprintf(fp,"  Ty Coon, President of Vice\n");
    fprintf(fp,"\n");
    fprintf(fp,"This General Public License does not permit incorporating your program into\n");
    fprintf(fp,"proprietary programs.  If your program is a subroutine library, you may\n");
    fprintf(fp,"consider it more useful to permit linking proprietary applications with the\n");
    fprintf(fp,"library.  If this is what you want to do, use the GNU Library General\n");
    fprintf(fp,"Public License instead of this License.\n");

#else
    fprintf(fp,">>> You should have received a copy of the GNU General Public License <<<\n");
    fprintf(fp,">>> along with this program; if not, write to the Free Software       <<<\n");
    fprintf(fp,">>> Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         <<<\n");
    fprintf(fp,"\n");
#endif

    if(fp != stdout)
        pclose(fp);

} /* show_gpl() */
